library zhihu_daily.utils;

import 'constants.dart';

String buildUrl(ApiType type,
    {StartImageSize startImageSize: StartImageSize.size720,
    String beforeDate: '20130520',
    int storyId,
    int themeId}) {
  String result;
  switch (type) {
    case ApiType.startImage:
      result = '$kStartImageUrl/${kStartImageSizeList[startImageSize.index]}';
      break;

    case ApiType.appVersionAndroid:
      result = kAndroidVersionUrl;
      break;

    case ApiType.appVersionIOS:
      result = kAndroidVersionUrl;
      break;

    case ApiType.latestNews:
      result = kLatestNewsUrl;
      break;

    case ApiType.oldNews:
      result = '$kOldNewsUrl/$beforeDate';
      break;

    case ApiType.story:
      if (storyId != null) {
        result = '$kStoryUrl/$storyId';
      }
      break;

    case ApiType.storyExtra:
      if (storyId != null) {
        result = '$kStoryExtraUrl/$storyId';
      }
      break;

    case ApiType.longComments:
      if (storyId != null) {
        result = '$kCommentsUrl/$storyId/long-comments';
      }
      break;

    case ApiType.shortComments:
      if (storyId != null) {
        result = '$kCommentsUrl/$storyId/short-comments';
      }
      break;

    case ApiType.themes:
      result = kThemesUrl;
      break;

    case ApiType.themeContent:
      if (themeId != null) {
        result = '$kThemeContentUrl/$themeId';
      }
      break;
  }
  return result;
}

String today() {
  DateTime dt = new DateTime.now();
  var result =
      '${dt.year.toString()}${dt.month.toString().padLeft(2, '0')}${dt.day.toString().padLeft(2, '0')}';
  return result;
}
